package pr2.auffrischung.password;

public class PasswortChecker {

    public static int checkPassword(String password) {
        int points = 0;
        boolean erstePruefung = false;
        boolean zweitePruefung = false;
        boolean drittePruefung = false;

        if (password.length() >= 8) {
            points = points + 1;
        }
        for (int i = 0; i < password.length(); i++) {
            if (password.charAt(i) >= 'A' 
                    && password.charAt(i) <= 'Z' 
                    || password.charAt(i) >= 'a'
                    && password.charAt(i) <= 'z') {
                erstePruefung = true;
            }

        }
        if (erstePruefung) {
            points = points + 1;
        }

        for (int i = 0; i < password.length(); i++) {
            if (password.charAt(i) == '!' 
                    || password.charAt(i) == '"'
                    || password.charAt(i) == '('
                    || password.charAt(i) <= ')'
                    || password.charAt(i) == '%') {
                zweitePruefung = true;
            }

        }
        if (zweitePruefung) {
            points = points + 1;
        }

        for (int i = 0; i < password.length(); i++) {
            if (erstePruefung && password.charAt(i) >= '0'
                    && password.charAt(i) <= '9') {
                drittePruefung = true;
            }

        }
        if (drittePruefung) {
            points = points + 1;
        }

        return points;
    }

    public static void main(String[] args) {
        System.out.println(checkPassword("1234"));
        System.out.println(checkPassword("Mutti"));
        System.out.println(checkPassword("mutti123"));
        System.out.println(checkPassword("Mutti123"));
        System.out.println(checkPassword("Mutti123!%"));
        System.out.println(checkPassword("1234"));
    }
}
