package pr2.generics.einfach;

/**
 * Interne Repräsentation der Knoten in der Liste.
 */
class ListeNode<E> {

    /** Daten. */
    String data;

    /** Referenz auf den nächsten Knoten. */
    E next;
    /**
     * Legt einen neuen Knoten an.
     *
     * @param data daten, die gespeichert werden
     */
    protected ListeNode(String data) {
        this.setData(data);
    }
    public E getNext() {
        return next;
    }
    public void setNext(E next) {
        this.next = next;
    }
    public void setData(String data) {
        this.data = data;
    }
    public String getData() {
        return data;
    }
}
