package pr2.vererbung.polymorphie;

/**
 * Simulationsklasse.
 */
public final class ZooSimulation {

   

    /**
     * Konstruktor.
     */
    private ZooSimulation() {
        // keine Objekte benötigt
    }
    
    /**
     * Main-Methode.
     *
     * @param args Kommandozeilen-Argumente.
     */
    @SuppressWarnings("null")
    public static void main(String[] args) {
        ZooTier charlie = null;
        ZooTier buck = null;
        ZooTier debbie = null;
        ZooTier[] tiere = {charlie, buck, debbie};
        
        Futterstelle futterstelle = new Futterstelle();

        tiere[0] = new Affe("Charlie");
        tiere[1] = new Gorilla("Buck");
        tiere[2] = new Giraffe("Debbie");
        
        for (int i = 0; i < tiere.length; i++) {
            System.out.println(tiere[i]);
        }
        

        System.out.println("Fütterung...");
        
        for (int i = 0; i < tiere.length; i++) {
        futterstelle.gibFutter(tiere[0]);
        }

        for (int i = 0; i < tiere.length; i++) {
            System.out.println(tiere[i]);
        }
    }
}
