package pr2.vererbung.polymorphie;


import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertTrue;

import org.junit.jupiter.api.Test;

public class ZooSimulationTest {

    /* Erster Test Tiere erzeugen und die richtigen Instanzen abfragen
     * 
     */
    @Test
    void tiereErzeugenUndInstanzenAbfragen() {
        assertTrue(new Affe(" ") instanceof ZooTier,
                "Der Affe hat nicht von" + "ZooTier geerbt.");
        assertEquals("Charlie", new Affe("Charlie").getName());
        assertEquals("Hauer", new Gorilla("Hauer").getName());
        
        assertTrue(new Gorilla("Hauer") instanceof Gorilla);
        assertTrue(new Gorilla("Hauer") instanceof ZooTier);
        
        ZooTier albert = new Gorilla("Albert");
        assertTrue(albert.hunger(), "Hat noch Hunger.");
        albert.fuettern();
        assertTrue(!albert.hunger(), "Hat keinen Hunger mehr.");
        
    
    }
    
    void tiereArrayTesten() {
        ZooTier albert = null;
        ZooTier hauer = null;
        ZooTier charlie = null;
        
        ZooTier[] tiere = {albert, charlie, hauer};
        
        assertTrue(tiere.length == 3);
        assertTrue(tiere[2] == hauer);
        assertTrue(!(tiere[3] == null));
        
        
    }
    
}
