package generics;

public class ExtStack<T> extends SimpleStack<T> {
    
    public ExtStack(int size) {
        super(size);
    }
    
    /*
     * In dieser Methode passiert nichts anderes als die Ausgabe des zuletzt
     * gesetzten Wertes (in diesem Fall ein String). Das erzeugte Array wurde 
     * üder den Konstruktor ExtStack angelegt, indem die Arraygröße und 
     * der Datentyp in dem Konstruktoraufruf (siehe Mainmethode) übergeben wurde
     * und der Aufruf an die Superklasse SimpleStack weitergeleitet wurde.
     */
    public T peek() {
        T wert = pop(); // Hier wird der Wert mit pop() aus dem Array geholt 
        push(wert); // und in die Variable wert geschrieben
        return wert; // danach erfolgt die Rückmeldung an den Methodenaufruf
    }

}
