package pr2.auffrischung.printf;

import java.text.DecimalFormat;
import java.text.NumberFormat;

public class DoubleFormatter {

    public static void printDouble(double d) {
        String format = "0.000";
        NumberFormat formatter = new DecimalFormat(format);
        String newD = formatter.format(d);
        System.out.print("Mit Formatting: " + newD);
        System.out.println();
    }

    public static void main(String[] args) {
        double dVal1 = 1.0;
        printDouble(dVal1);
        System.out.printf("Mit printf: %.3f", dVal1);
        System.out.println();
        double dVal2 = 10.1;
        printDouble(dVal2);
        System.out.printf("Mit printf: %.3f", dVal2);
        System.out.println();
        double dVal3 = 2.01;
        printDouble(dVal3);
        System.out.printf("Mit printf: %.3f", dVal3);
        System.out.println();
        double dVal4 = 2.001;
        printDouble(dVal4);
        System.out.printf("Mit printf: %.3f", dVal4);
        System.out.println();
        double dVal5 = 2.0001;
        printDouble(dVal5);
        System.out.printf("Mit printf: %.3f", dVal5);
        System.out.println();
        double dVal6 = 2.0004;
        printDouble(dVal6);
        System.out.printf("Mit printf: %.3f", dVal6);
        System.out.println();
        double dVal7 = 2.0005;
        printDouble(dVal7);
        System.out.printf("Mit printf: %.3f", dVal7);
        System.out.println();
        
    }
}
