package pr2.auffrischung.taschenrechner;

public class Taschenrechner {

    public double rechne(double o1, char op, double o2) {

        switch (op) {
        case '+':
            return o1 + o2;
        case '-':
            return o1 - o2;
        case '*':
            return o1 * o2;
        case '/':
            if (o2 == 0) {
                return o2;
            } else {
                return o1 / 02;    
            }        
        case '^':
            return Math.pow(o1, o2);
        default:
            return 0.0;
        }
        
    }

    public static void main(String[] args) {
        Taschenrechner t = new Taschenrechner();
        System.out.println(t.rechne(1, '+', 2));
        System.out.println(t.rechne(1, '-', 2));
        System.out.println(t.rechne(2, '*', 2));
        System.out.println(t.rechne(4, '/', 2));
        System.out.println(t.rechne(2, '^', 3));
    }
}
