package pr2.enums.filme;

public enum LieblingsFilme {

    FILM1("The Last Boy Scout", "Tony Scott", 10),
    FILM2("Per Anhalter durch die Galaxy", "Garth Jennings", 8),
    FILM3("Die Bombe fliegt", "Tom Bussmann", 9);
    
    private final String title;
    private final String regie;
    private final int rating;
    
    
    private LieblingsFilme(String title, String regie, int rating) {
        this.title = title;
        this.regie = regie;
        this.rating = rating;
    }
    @Override
    public String toString(){
        return "Filmtitel: " + title + "\nRegie: " + regie + "\nDer Film erhält " + rating + " Punkte von mir.\n";
        
    }
    
    public static String getFilm(LieblingsFilme film) {
        return film.toString();
    }
    
}

