package pr2.interfaces.uebersetzer;

public class Translater {

    public static void main(String[] args) {
        if (args.length > 2) {
            System.out.println("Es kann nur ein Wort übersetzt werden.");
        }
        if (args.length < 2) {
            System.out.println(
                    "Es wurde kein Wort für die Übersetzung angegeben.");
            
        }
        // Erstes Wort gibt die Sprache an, in die das zweite Wort
        // übersetzt werden soll.

        String erstesWort = args[0];
        System.out.println(erstesWort);
        String zweitesWort = args[1];
        System.out.println(zweitesWort);

        if (erstesWort.equals("englisch") 
                || erstesWort.equals("english")
                || erstesWort.equals("Englisch") 
                || erstesWort.equals("English")) {
            System.out.println(uebersetzeDeutschEnglisch(zweitesWort));
        } else if (erstesWort.equals("spanisch") 
                || erstesWort.equals("spanish")
                || erstesWort.equals("Spanisch") 
                || erstesWort.equals("Spanish")) {
            System.out.println(uebersetzeDeutschSpanisch(zweitesWort));
        } else {
            System.out.println("Es gibt keine Übersetzung für Ihre Sprache.");
        }

    }

    private static String uebersetzeDeutschSpanisch(String zweitesWort) {

        switch (zweitesWort) {
        case "gehen":
            return "ir";
        case "laufen":
            return "correr";
        case "Milch":
            return "leche";
        default:
            return "Nichts gefunden!";
        }

    }

    private static String uebersetzeDeutschEnglisch(String zweitesWort) {

        switch (zweitesWort) {
        case "gehen":
            return "go";
        case "laufen":
            return "run";
        case "Milch":
            return "milk";
        default:
            return "Keine Übereinstimmung";
        }
    }

}
