package pr2.vererbung.konstruktoren;

/**
 * Nachtelf aus der Allianz.
 */
 public class Nachtelf extends Wesen {

    /**
     * Standardmäßige Stärke der Fähigkeit Naturwiderstand.
     */
    public static final int STANDARD_NATURWIDERSTAND = 5;

    /**
     * Fähigkeit zum Widerstand gegen Naturmagie.
     */
    private int naturwiderstand;
    
    
    
    public Nachtelf(String name) {
        super(name);
        this.naturwiderstand = STANDARD_NATURWIDERSTAND;
    }
    public Nachtelf(String name, int neuerWert) {
        super(name);
        this.naturwiderstand = neuerWert;
    }

    /**
     * Stärke des Naturwiderstandes.
     *
     * @return the naturwiderstand
     */
    public int getNaturwiderstand() {
        return naturwiderstand;
    }
}
