package pr2.vererbung.konstruktoren;

/**
 * Basisklasse für Spielfiguren.
 */
public class Wesen {

    private final String name;

    /**
     * Legt eine neue Spielfigur an.
     *
     * @param name Name der Figur.
     */
    public Wesen(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    /**
     * Gibt den Namen der Spielfigur zurück.
     *
     * @return Name der Spielfigur.
     */
    
}
