package pr2.vererbung.singleton_einfach;

 public final class Singleton {
     
     private String name;
     
     public static final Singleton SL = new Singleton();
     
     private Singleton() {
         
     }
     
     private Singleton(String name) {
         this.name = name;
     }
     
     public static String getName() {
        return SL.name;
     }
     
     public static Singleton getInstance(String name) {
         if (SL == null) {
             return new Singleton(name);
         } else {
             return SL;
         }  
     }      
}
