package pr2.vererbung.statics;

/**
 * Spiel mit den Würfeln.
 */
public final class Spiel {

    /**
     * Keine Objekte.
     */
    private Spiel() {
        // leer
    }

    /**
     * Programm-Einstieg.
     *
     * @param args Kommandozeilen-Argumente.
     */
    public static void main(String[] args) {
        Wuerfel wuerfel1 = new Wuerfel();
        Wuerfel wuerfel2 = new Wuerfel();

        // 1000 Mal würfeln
        for (int i = 0; i < 3000; i++) {
            wuerfel1.wuerfele();
            wuerfel2.wuerfele();
        }

        // Statistik ausgeben
        System.out.println("Statistik für alle Würfel in Zahlen:");
        System.out.println("Von " + Wuerfel.counter + " würfen");
        System.out.println(wuerfel1.statistik());
        System.out.println();
        System.out.println("Statsitik für alle Würfel in Prozent");
        System.out.println("Von " + Wuerfel.counter + " würfen");
        System.out.println(wuerfel1.statistikProzent());
        System.out.println();
        
    }
}
